cmd->consistancy = consistancy[consoleplayer][maketic%BACKUPTICS];

if (gametic > BACKUPTICS && consistancy[i][buf] != cmd->consistancy)
	I_Error("G_Ticker: Consistency failure (%i should be %i)", cmd->consistancy, consistancy[i][buf]);

if (players[i].mo)
	consistancy[i][buf] = players[i].mo->x;
else
	consistancy[i][buf] = 0; // killough 2/14/98


--

https://doomwiki.org/wiki/Doom_networking_component


d_client.c
ticcmd_t localcmds[BACKUPTICS]
    Locally generated tic commands. These are stored in a circular buffer.


d_client.c:ticcmd_t         netcmds[MAXPLAYERS][BACKUPTICS];
d_client.c:  localcmds = netcmds[displayplayer = consoleplayer];
d_client.c:  localcmds = netcmds[consoleplayer];
d_client.c:            RawToTic(&netcmds[n][remotetic%BACKUPTICS], p);
d_main.c:          G_BuildTiccmd (&netcmds[consoleplayer][maketic%BACKUPTICS]);
d_server.c:    ticcmd_t netcmds[MAXPLAYERS][BACKUPTICS];
d_server.c:              netcmds[from][remoteticfrom[from]++%BACKUPTICS] =  *newtic++;
d_server.c:        memcpy(p, &netcmds[j][remoteticto[i]%BACKUPTICS], sizeof(ticcmd_t));
g_game.c:          memcpy(cmd, &netcmds[i][buf], sizeof *cmd);
ticcmd_t netcmds[MAXPLAYERS][BACKUPTICS]
    This is a circular buffer into which received tic commands are placed. A maximum of BACKUPTICS (usually 12) tic commands can be queued.

mostly g_game.c
some d_client.c
boolean playeringame[MAXPLAYERS]
    This is true if a particular player is in the game. It is set to false when a player leaves the game.

d_client.c
d_main.c
d_game.c
int gametic
    The next game tic to be run.

d_client.c
d_main.c
int maketic
    The next game tic to generate a command for. Ideally this should be as close to gametic as possible.


THESE NO LONGER EXIST

int nettics[MAXNETNODES]
    The last tic command received from each player.

boolean nodeingame[MAXNETNODES]
    This is true if a particular node is connected to the game. It is set to false when a node leaves the game.

int nodeforplayer[MAXPLAYERS]
    Each player's corresponding node.




			now = current_milli_time()
			if ('play' == state):
				# ok sample only at tic time.
				delta_ms = (now - last)
				if (delta_ms < 30):
					# print('try to sleep a little')
					time.sleep((30 - delta_ms)/1000)
				now = current_milli_time()
				tick = tick + 1
				# wrap the value to fit with the byte range limit
				# in C the unsign char type does this behind the scenes.
				if (tick >= 256):
					tick = tick - 256

